unit AdvancedUnit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, MainUnit,
  scAdvancedControls, scControls, Vcl.StdCtrls;

type
  TAdvancedFrame1 = class(TFrame)
    scLabel1: TscLabel;
    scComboBox1: TscComboBox;
    scComboBox2: TscComboBox;
    scLabel2: TscLabel;
    scLabel3: TscLabel;
    scComboBox3: TscComboBox;
    scCheckBox1: TscCheckBox;
    scCheckBox2: TscCheckBox;
    scCheckBox5: TscCheckBox;
    scCheckBox3: TscCheckBox;
    scCheckBox4: TscCheckBox;
    scCheckBox7: TscCheckBox;
    scAdvancedListBox1: TscAdvancedListBox;
    scComboBox4: TscComboBox;
    scCheckBox6: TscCheckBox;
    scAdvancedComboBox1: TscAdvancedComboBox;
    scHorzListBox1: TscHorzListBox;
    scLabel6: TscLabel;
    scLabel5: TscLabel;
    scLabel4: TscLabel;
    procedure scComboBox1Click(Sender: TObject);
    procedure scComboBox2Click(Sender: TObject);
    procedure scComboBox3Click(Sender: TObject);
    procedure scComboBox4Click(Sender: TObject);
    procedure scCheckBox7Click(Sender: TObject);
    procedure scCheckBox1Click(Sender: TObject);
    procedure scCheckBox3Click(Sender: TObject);
    procedure scCheckBox2Click(Sender: TObject);
    procedure scCheckBox5Click(Sender: TObject);
    procedure scCheckBox6Click(Sender: TObject);
    procedure scCheckBox4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TAdvancedFrame1.scCheckBox1Click(Sender: TObject);
begin
  scAdvancedListBox1.ShowCheckBoxes := scCheckBox1.Checked;
end;

procedure TAdvancedFrame1.scCheckBox2Click(Sender: TObject);
begin
  scAdvancedListBox1.ShowFocusRect := scCheckBox2.Checked;
  scHorzListBox1.ShowFocusRect := scCheckBox2.Checked;
end;

procedure TAdvancedFrame1.scCheckBox3Click(Sender: TObject);
begin
  scAdvancedListBox1.AlternateRow := scCheckBox3.Checked;
end;

procedure TAdvancedFrame1.scCheckBox4Click(Sender: TObject);
begin
  if scCheckBox4.Checked then
  begin
    scAdvancedListBox1.BorderStyle := scbsSingle;
    scHorzListBox1.BorderStyle := scbsSingle;
  end
  else
  begin
    scAdvancedListBox1.BorderStyle := scbsNone;
    scHorzListBox1.BorderStyle := scbsNone;
  end;
end;

procedure TAdvancedFrame1.scCheckBox5Click(Sender: TObject);
begin
  scAdvancedListBox1.ShowLines := scCheckBox5.Checked;
end;

procedure TAdvancedFrame1.scCheckBox6Click(Sender: TObject);
begin
  scAdvancedComboBox1.Animation := scCheckBox6.Checked;
end;

procedure TAdvancedFrame1.scCheckBox7Click(Sender: TObject);
begin
  if scCheckBox7.Checked then
  begin
    scAdvancedListBox1.Wallpapers := MainForm.scImageCollection1;
    scHorzListBox1.Wallpapers := MainForm.scImageCollection1;
    scAdvancedComboBox1.ListBoxWallpapers := MainForm.scImageCollection1;
  end
  else
  begin
    scHorzListBox1.Wallpapers := nil;
    scAdvancedListBox1.Wallpapers := nil;
    scAdvancedComboBox1.ListBoxWallpapers := nil;
  end;
end;

procedure TAdvancedFrame1.scComboBox1Click(Sender: TObject);
begin
  scAdvancedListBox1.SelectionStyle := TscAdvancedSelectionStyle(scComboBox1.ItemIndex);
  scHorzListBox1.SelectionStyle := TscAdvancedSelectionStyle(scComboBox1.ItemIndex);
  scAdvancedComboBox1.SelectionStyle := TscAdvancedSelectionStyle(scComboBox1.ItemIndex);
  scAdvancedComboBox1.ListBoxSelectionStyle := TscAdvancedSelectionStyle(scComboBox1.ItemIndex);
end;

procedure TAdvancedFrame1.scComboBox2Click(Sender: TObject);
begin
  scAdvancedListBox1.HeaderStyle := TscAdvancedHeaderStyle(scComboBox2.ItemIndex);
  scAdvancedComboBox1.ListBoxHeaderStyle := TscAdvancedHeaderStyle(scComboBox2.ItemIndex);
end;

procedure TAdvancedFrame1.scComboBox3Click(Sender: TObject);
begin
  scAdvancedListBox1.BackgroundStyle := TscBackgroundStyle(scComboBox3.ItemIndex);
  scHorzListBox1.BackgroundStyle := TscBackgroundStyle(scComboBox3.ItemIndex)
end;

procedure TAdvancedFrame1.scComboBox4Click(Sender: TObject);
begin
  scAdvancedComboBox1.Style := TscAdvancedComboStyle(scComboBox4.ItemIndex);
end;

end.
